COPYRIGHT = """
Copyright Renaud Blanch [http://iihm.imag.fr/blanch/]

This software is a computer program whose purpose is to explore new interaction
techniques for zoomable treemaps.

This software is governed by the CeCILL license under French law and abiding by 
the rules of distribution of free software. You can  use, modify and/ or 
redistribute the software under the terms of the CeCILL license as circulated  
at the following URL [http://www.cecill.info]. 

As a counterpart to the access to the source code and  rights to copy, modify 
and redistribute granted by the license, users are provided only with a limited 
warranty  and the software's author,  the holder of the economic rights,  and 
the successive licensors  have only limited liability. 

The fact that you are presently reading this means that you have had knowledge 
of the CeCILL license and that you accept its terms.
"""

from datetime import *

monthnames = { 
	1: "janvier__",
	2: "fevrier__",
	3: "mars_____",
	4: "avril____",
	5: "mai______",
	6: "juin_____",
	7: "juillet__",
	8: "aout_____",
	9: "septembre",
	10:"octobre__",
	11:"novembre_",
	12:"decembre_"
}

daynames = {
	0:"lundi___",
	1:"mardi___",
	2:"mercredi",
	3:"jeudi___",
	4:"vendredi",
	5:"samedi__",
	6:"dimanche"
}

HOURS_PER_DAY = 16
FIRST_HOUR    = 6

def compute(year=2006):
	org = date(year, 1, 1)
	end = date(year + 1, 1, 1)
	now = org

	monthdays = 0

	oneday = timedelta(1)
	while now < end:
		year  = "%s" % now.year
		month = "%s/%02i_%s" % (year, now.month, monthnames[now.month])
		week  = "%s/%02i__" % (month,((now - org).days + org.weekday()) / 7)
		day   = "%s/%02i_%s" % (week, now.day, daynames[now.weekday()])
		
		# first day of the month left alignment
		if now.day == 1:
			print "%s/_" % week, (now.weekday() * HOURS_PER_DAY)
			monthdays = now.weekday()
		
		for h in range(FIRST_HOUR, FIRST_HOUR + HOURS_PER_DAY, 2):
			print "%s/%02ih________" % (day, h+1), 2
			
		monthdays += 1
	
		now += oneday
		
		if now.day == 1 :
			if monthdays <= 35:
				print "%s/%s" % (week, chr(129)), (35-monthdays)*HOURS_PER_DAY
				print "%s/%s" % (month, chr(129)), 7*HOURS_PER_DAY			
			else:	
				print "%s/%s" % (week, chr(129)), (42-monthdays)*HOURS_PER_DAY

for year in range(2006, 2009):
	compute(year)
